
<html>
<head>
<title></title>
<meta name="generator" content="c2html 0.9.5">
<meta name="date" content="2007-03-29T00:19:55+00:00">
</head>

<body bgcolor="#FFFFFF">
<pre width="80">
<strong><font color="#FF0000">ALL:</font></strong>

CFLAGS                = 
FFLAGS                = 
CPPFLAGS        =
FPPFLAGS        =
LOCDIR          = src/sys/examples/tutorials/
EXAMPLESC       = ex1.c ex2.c ex3.c ex5.c
EXAMPLESF       = ex3f.F
MANSEC          = Sys
CLEANFILES      = binaryoutput binaryoutput.info

include ${PETSC_DIR}/bmake/common/base

<strong><font color="#FF0000">ex1:</font></strong> ex1.o   chkopts
        -${CLINKER} -o ex1 ex1.o  ${PETSC_SYS_LIB}
        ${RM} -f ex1.o

<strong><font color="#FF0000">ex2:</font></strong> ex2.o   chkopts
        -${CLINKER} -o ex2 ex2.o  ${PETSC_SYS_LIB}
        ${RM} -f ex2.o

<strong><font color="#FF0000">ex3:</font></strong> ex3.o   chkopts
        -${CLINKER} -o ex3 ex3.o  ${PETSC_SYS_LIB}
        ${RM} -f ex3.o

<strong><font color="#FF0000">ex3f:</font></strong> ex3f.o   chkopts
        -${FLINKER} -o ex3f ex3f.o  ${PETSC_SYS_LIB}
        ${RM} -f ex3f.o

<strong><font color="#FF0000">ex4:</font></strong> ex4.o   chkopts
        -${CLINKER} -o ex4 ex4.o  ${PETSC_SYS_LIB}
        ${RM} -f ex4.o

<strong><font color="#FF0000">ex4f:</font></strong> ex4f.o   chkopts
        -${FLINKER} -o ex4f ex4f.o  ${PETSC_SYS_LIB}
        ${RM} -f ex4f.o

<strong><font color="#FF0000">ex5:</font></strong> ex5.o   chkopts
        -${CLINKER} -o ex5 ex5.o  ${PETSC_SYS_LIB}
        ${RM} -f ex5.o
<font color="#A020F0">#</font>
<font color="#A020F0"># ------------------------------------------------------------------------</font>
<font color="#A020F0">#</font>
<strong><font color="#FF0000">runex1:</font></strong>
        -@${MPIRUN} -np 1 ./ex1 &gt; ex1_1.tmp 2&gt;&amp;1; \
           <font color="#4169E1">if</font> (${DIFF} output/ex1_1.out ex1_1.tmp) then true; \
           <font color="#4169E1">else</font> echo <font color="#666666">"Possible problem with ex1_1, diffs above"</font>; fi; \
           ${RM} -f ex1_1.tmp 

<strong><font color="#FF0000">runex2:</font></strong>
        -@${MPIRUN} -np 1 ./ex2 &gt; ex2_1.tmp 2&gt;&amp;1; \
           <font color="#4169E1">if</font> (${DIFF} output/ex2_1.out ex2_1.tmp) then true; \
           <font color="#4169E1">else</font> echo <font color="#666666">"Possible problem with ex2_1, diffs above"</font>; fi; \
           ${RM} -f ex2_1.tmp 

<strong><font color="#FF0000">runex3:</font></strong>
        -@${MPIRUN} -np 1 ./ex3 

<strong><font color="#FF0000">runex3f:</font></strong>
        -@${MPIRUN} -np 1 ./ex3f

<strong><font color="#FF0000">runex4:</font></strong> 
        -@${MPIRUN} -np 5 ./ex4  | sort  &gt; ex4_1.tmp 2&gt;&amp;1; \
           <font color="#4169E1">if</font> (${DIFF} output/ex4_1.out ex4_1.tmp) then true; \
           <font color="#4169E1">else</font> echo <font color="#666666">"Possible problem with ex4_1, diffs above"</font>; fi; \
           ${RM} -f ex4_1.tmp

<strong><font color="#FF0000">runex4f:</font></strong> 
        -@${MPIRUN} -np 5 ./ex4f  | sort &gt; ex4f_1.tmp 2&gt;&amp;1; \
           <font color="#4169E1">if</font> (${DIFF} output/ex4f_1.out ex4f_1.tmp) then true; \
           <font color="#4169E1">else</font> echo <font color="#666666">"Possible problem with ex4f_1, diffs above"</font>; fi; \
           ${RM} -f ex4f_1.tmp

<strong><font color="#FF0000">runex5:</font></strong>
        -@${MPIRUN} -np 1 ./ex5 -rho 44 -do_output true &gt; ex5_1.tmp 5&gt;&amp;1; \
           <font color="#4169E1">if</font> (${DIFF} output/ex5_1.out ex5_1.tmp) then true; \
           <font color="#4169E1">else</font> echo <font color="#666666">"Possible problem with ex5_1, diffs above"</font>; fi; \
           ${RM} -f ex5_1.tmp 

TESTEXAMPLES_C                  = ex1.PETSc runex1 ex1.rm ex2.PETSc runex2 ex2.rm \
                            ex3.PETSc runex3 ex3.rm ex4.PETSc runex4 ex4.rm \
                            ex5.PETSc runex5 ex5.rm
TESTEXAMPLES_C_X11_MPIUNI = ex1.PETSc runex1 ex1.rm ex2.PETSc runex2 ex2.rm \
                            ex3.PETSc runex3 ex3.rm
TESTEXAMPLES_FORTRAN          = ex3f.PETSc runex3f ex3f.rm ex4f.PETSc runex4f ex4f.rm

include ${PETSC_DIR}/bmake/common/test

</pre>
</body>

</html>
